import { EditorState, ContentBlock, ContentState, SelectionState, BlockMap } from 'draft-js';
/**
 * Returns collection of blocks.
 */
export declare function getBlocksMapBetween(blockMap: BlockMap, startKey: string, endKey: string): Immutable.Iterable<string, ContentBlock>;
/**
 * Returns array of blocks.
 */
export declare function getBlocksBetween(contentState: ContentState, startKey: string, endKey: string): ContentBlock[];
/**
 * Returns array keys of blocks.
 */
export declare function getBlocksKeysBetween(contentState: ContentState, startKey: string, endKey: string): string[];
/**
 *
 */
export declare const getBlocksSelected: (editorState: EditorState, contentState: ContentState) => ContentBlock[];
/**
 *
 */
export declare const getBlocksForKeys: (contentState: ContentState, blockKeys: string[]) => ContentBlock[];
/**
 * Add block level meta-data.
 */
export declare const setBlockData: (editorState: EditorState, contentState: ContentState, selection: SelectionState, blockData: any) => EditorState;
/**
 *
 */
export declare const setBlocksData: (editorState: EditorState, contentState: ContentState, anchorKey: string, focusKey: string, blockData: any) => EditorState;
/**
 *
 */
export declare const insertText: (editorState: EditorState, contentState: ContentState, selection: SelectionState, text: string) => EditorState;
/**
 *
 */
export declare const pushReplaceWithFragment: (editorState: EditorState, contentState: ContentState, selection: SelectionState, contentBlocks: ContentBlock[]) => EditorState;
export declare const pushContentStateFromArray: (editorState: EditorState, contentBlocks: ContentBlock[]) => EditorState;
/**
 *
 */
export declare const mergeBlockData: (editorState: EditorState, contentState: ContentState, blockKey: string) => EditorState;
export declare const insertAtomicBlock: (editorState: EditorState, type: string, data?: Object | undefined) => EditorState;
