import { SelectionState, ContentBlock, EditorState, ContentState } from 'draft-js';
export declare type IndentType = 'decrease' | 'increase';
/**
 * Check if a content block is of type list.
 */
export declare const isListType: (contentBlock: ContentBlock) => boolean;
/**
 * Check if a content block is of nested list.
 */
export declare const isNestedList: (contentState: ContentState, contentBlock: ContentBlock) => boolean;
/**
 */
export declare const isArrayOfNestedList: (contentState: ContentState, contentBlocks: ContentBlock[]) => boolean;
/**
 * Return a new selection by merging the indentation offset.
 *
 * The function will always keep the start of the selection
 * of the first row when it starts at 0.
 */
export declare const mergeIndentSelection: (selection: SelectionState, indentType: IndentType) => SelectionState;
export declare const cloneContentBlock: (contentBlock: ContentBlock, text: string) => ContentBlock;
export declare const pushAdjustDepth: (editorState: EditorState, contentState: ContentState) => EditorState;
export declare const indentNestedList: (editorState: EditorState, contentState: ContentState, selectionState: SelectionState, indentType: IndentType) => EditorState;
/**
 *
 */
export declare const indentIncreaseBlockForKey: (editorState: EditorState, contentState: ContentState, selection: SelectionState, blockKey: string, nestedListOnly?: boolean) => EditorState;
/**
 *
 */
export declare const indentIncreaseBlocksForKeys: (contentState: ContentState, blockKeys: string[], indentType: IndentType) => ContentBlock[];
/**
 *
 */
export declare const indentBlocksForSelection: (editorState: EditorState, contentState: ContentState, selectionState: SelectionState, indentType: IndentType, nestedListOnly?: boolean) => EditorState;
/**
 *
 */
export declare const indentSelection: (editorState: EditorState, contentState: ContentState, indentType: IndentType, nestedListOnly?: boolean) => EditorState;
export declare const isOutdentable: (selectionState: SelectionState, contentState: ContentState) => boolean;
